# Uses of Class
io.papermc.paper.world.structure.ConfiguredStructure

Packages that use ConfiguredStructure
Package
Description
io.papermc.paper.event.world
io.papermc.paper.world.structure
org.bukkit
The root package of the Bukkit API, contains generalized API classes.

## Uses of ConfiguredStructure in io.papermc.paper.event.world

Methods in io.papermc.paper.event.world that return ConfiguredStructure
Modifier and Type
Method
Description
`@NotNull ConfiguredStructure`
StructuresLocateEvent.Result.`configuredStructure()`
Returns the value of the `configuredStructure` record component.
Methods in io.papermc.paper.event.world that return types with arguments of type ConfiguredStructure
Modifier and Type
Method
Description
`@NotNull List<ConfiguredStructure>`
StructuresLocateEvent.`getConfiguredStructures()`
Gets a mutable list of ConfiguredStructures that are valid targets for the search.
Method parameters in io.papermc.paper.event.world with type arguments of type ConfiguredStructure
Modifier and Type
Method
Description
`void`
StructuresLocateEvent.`setConfiguredStructures(@NotNull List<ConfiguredStructure> configuredStructures)`
Sets the list of ConfiguredStructures that are valid targets for the search.
Constructors in io.papermc.paper.event.world with parameters of type ConfiguredStructure
Modifier
Constructor
Description
``
`Result(@NotNull Location position, @NotNull ConfiguredStructure configuredStructure)`
Creates an instance of a `Result` record class.
Constructor parameters in io.papermc.paper.event.world with type arguments of type ConfiguredStructure
Modifier
Constructor
Description
``
`StructuresLocateEvent(@NotNull World world, @NotNull Location origin, @NotNull List<ConfiguredStructure> configuredStructures, int radius, boolean findUnexplored)`

## Uses of ConfiguredStructure in io.papermc.paper.world.structure

Fields in io.papermc.paper.world.structure with type parameters of type ConfiguredStructure
Modifier and Type
Field
Description
`static final Reference<ConfiguredStructure>`
ConfiguredStructure.`BASTION_REMNANT`
`static final Reference<ConfiguredStructure>`
ConfiguredStructure.`BURIED_TREASURE`
`static final Reference<ConfiguredStructure>`
ConfiguredStructure.`DESERT_PYRAMID`
`static final Reference<ConfiguredStructure>`
ConfiguredStructure.`END_CITY`
`static final Reference<ConfiguredStructure>`
ConfiguredStructure.`FORTRESS`
`static final Reference<ConfiguredStructure>`
ConfiguredStructure.`IGLOO`
`static final Reference<ConfiguredStructure>`
ConfiguredStructure.`JUNGLE_TEMPLE`
`static final Reference<ConfiguredStructure>`
ConfiguredStructure.`MINESHAFT`
`static final Reference<ConfiguredStructure>`
ConfiguredStructure.`MINESHAFT_MESA`
`static final Reference<ConfiguredStructure>`
ConfiguredStructure.`NETHER_FOSSIL`
`static final Reference<ConfiguredStructure>`
ConfiguredStructure.`OCEAN_MONUMENT`
`static final Reference<ConfiguredStructure>`
ConfiguredStructure.`OCEAN_RUIN_COLD`
`static final Reference<ConfiguredStructure>`
ConfiguredStructure.`OCEAN_RUIN_WARM`
`static final Reference<ConfiguredStructure>`
ConfiguredStructure.`PILLAGER_OUTPOST`
`static final Reference<ConfiguredStructure>`
ConfiguredStructure.`RUINED_PORTAL_DESERT`
`static final Reference<ConfiguredStructure>`
ConfiguredStructure.`RUINED_PORTAL_JUNGLE`
`static final Reference<ConfiguredStructure>`
ConfiguredStructure.`RUINED_PORTAL_MOUNTAIN`
`static final Reference<ConfiguredStructure>`
ConfiguredStructure.`RUINED_PORTAL_NETHER`
`static final Reference<ConfiguredStructure>`
ConfiguredStructure.`RUINED_PORTAL_OCEAN`
`static final Reference<ConfiguredStructure>`
ConfiguredStructure.`RUINED_PORTAL_STANDARD`
`static final Reference<ConfiguredStructure>`
ConfiguredStructure.`RUINED_PORTAL_SWAMP`
`static final Reference<ConfiguredStructure>`
ConfiguredStructure.`SHIPWRECK`
`static final Reference<ConfiguredStructure>`
ConfiguredStructure.`SHIPWRECK_BEACHED`
`static final Reference<ConfiguredStructure>`
ConfiguredStructure.`STRONGHOLD`
`static final Reference<ConfiguredStructure>`
ConfiguredStructure.`SWAMP_HUT`
`static final Reference<ConfiguredStructure>`
ConfiguredStructure.`VILLAGE_DESERT`
`static final Reference<ConfiguredStructure>`
ConfiguredStructure.`VILLAGE_PLAINS`
`static final Reference<ConfiguredStructure>`
ConfiguredStructure.`VILLAGE_SAVANNA`
`static final Reference<ConfiguredStructure>`
ConfiguredStructure.`VILLAGE_SNOWY`
`static final Reference<ConfiguredStructure>`
ConfiguredStructure.`VILLAGE_TAIGA`
`static final Reference<ConfiguredStructure>`
ConfiguredStructure.`WOODLAND_MANSION`

## Uses of ConfiguredStructure in org.bukkit

Fields in org.bukkit with type parameters of type ConfiguredStructure
Modifier and Type
Field
Description
`static final Registry<ConfiguredStructure>`
Registry.`CONFIGURED_STRUCTURE`
Configured structures.